Skip to main content
GET
/
api
/
v1
/
node_executions
/
{id.execution_id.project}
/
{id.execution_id.domain}
/
{id.execution_id.name}
/
{id.node_id}
Fetches a :ref:`ref_flyteidl.admin.NodeExecution`
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/node_executions/{id.execution_id.project}/{id.execution_id.domain}/{id.execution_id.name}/{id.node_id}
{
  "id": {
    "node_id": "<string>",
    "execution_id": {
      "project": "<string>",
      "domain": "<string>",
      "name": "<string>",
      "org": "<string>"
    }
  },
  "input_uri": "<string>",
  "closure": {
    "output_uri": "<string>",
    "error": {
      "code": "<string>",
      "message": "<string>",
      "error_uri": "<string>",
      "kind": "UNKNOWN",
      "timestamp": "2023-11-07T05:31:56Z",
      "worker": "<string>"
    },
    "output_data": {
      "literals": {}
    },
    "phase": "UNDEFINED",
    "started_at": "2023-11-07T05:31:56Z",
    "duration": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "workflow_node_metadata": {
      "executionId": {
        "project": "<string>",
        "domain": "<string>",
        "name": "<string>",
        "org": "<string>"
      }
    },
    "task_node_metadata": {
      "cache_status": "CACHE_DISABLED",
      "catalog_key": {
        "dataset_id": {
          "resource_type": "UNSPECIFIED",
          "project": "<string>",
          "domain": "<string>",
          "name": "<string>",
          "version": "<string>",
          "org": "<string>"
        },
        "artifact_tag": {
          "artifact_id": "<string>",
          "name": "<string>"
        },
        "source_task_execution": {
          "task_id": {
            "resource_type": "UNSPECIFIED",
            "project": "<string>",
            "domain": "<string>",
            "name": "<string>",
            "version": "<string>",
            "org": "<string>"
          },
          "node_execution_id": {
            "node_id": "<string>",
            "execution_id": {
              "project": "<string>",
              "domain": "<string>",
              "name": "<string>",
              "org": "<string>"
            }
          },
          "retry_attempt": 123
        }
      },
      "checkpoint_uri": "<string>"
    },
    "deck_uri": "<string>",
    "dynamic_job_spec_uri": "<string>"
  },
  "metadata": {
    "retry_group": "<string>",
    "is_parent_node": true,
    "spec_node_id": "<string>",
    "is_dynamic": true,
    "is_array": true,
    "is_eager": true
  }
}

Path Parameters

id.execution_id.project
string
required

Name of the project the resource belongs to.

id.execution_id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

id.execution_id.name
string
required

User or system provided value for the resource.

id.node_id
string
required

Query Parameters

id.execution_id.org
string

Optional, org key applied to the resource.

Response

A successful response.

Encapsulates all details for a single node execution entity. A node represents a component in the overall workflow graph. A node launch a task, multiple tasks, an entire nested sub-workflow, or even a separate child-workflow execution. The same task can be called repeatedly in a single workflow but each node is unique.

id
object

Encapsulation of fields that identify a Flyte node execution entity.

input_uri
string

Path to remote data store where input blob is stored.

closure
object

Container for node execution details and results.

metadata
Represents additional attributes related to a Node Execution · object